Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.events
Class ImageLoadedEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.vistech.events.ImageLoadedEvent

All Implemented Interfaces:
  java.io.Serializable

public class ImageLoadedEvent
extends java.util.EventObject
implements java.io.Serializable

ImageLoadedEvent Class. This is an event-state class for the imageLoaded event.

Version:
  1.0 21 Jan 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ImageLoadedEvent(java.lang.Object obj, java.awt.Image img)`
`ImageLoadedEvent(java.lang.Object obj, java.awt.Image[] img)`

Method Summary
`java.awt.Image` | `getImage()`
`java.awt.Image[]` | `getImages()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageLoadedEvent

    public ImageLoadedEvent(java.lang.Object obj,
                            java.awt.Image img)

  Parameters:
    `obj` - the source object.
    `img` - the screen image which is the image loaded event data that is carried to the target.

### ImageLoadedEvent

    public ImageLoadedEvent(java.lang.Object obj,
                            java.awt.Image[] img)

  Parameters:
    `obj` - the source object.
    `img` - the screen image which is the image loaded event data that is carried to the target.

Method Detail

### getImage

    public java.awt.Image getImage()

  Returns:
    the screen image.

### getImages

    public java.awt.Image[] getImages()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD